#pragma once

#include "Windows.h"
#include <D2D1.h>
#pragma comment(lib, "D2D1.lib")

#include <string>
#include "stb_image.h"

#include <vector>

struct grabResourceManager {
	std::vector<void*> Data;

	static HRESULT LoadBitmapFromFile(const char* filename, ID2D1RenderTarget* rendertarget, ID2D1Bitmap** bitmap);
	static void LoadBitmapFromFile(const char* filename, std::string* buf);
};